/*
1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
    box-sizing: border-box;
}
/*
2. Remove default margin
*/
* {
    margin: 0;
}
/*
Typographic tweaks!
3. Add accessible line-height
4. Improve text rendering
*/
body {
    line-height: 1.5;
    -webkit-font-smoothing: antialiased;
}
/*
5. Improve media defaults
*/
img, picture, video, canvas, svg {
    display: block;
    max-width: 100%;
}
/*
6. Remove built-in form typography styles
*/
input, button, textarea, select {
    font: inherit;
}
/*
7. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
    overflow-wrap: break-word;
}
/*
8. Create a root stacking context
*/
#root, #__next {
    isolation: isolate;
}

body, html {
    margin: 0;
    padding: 0;
    height: 100%;
    font-family: inter;
}

/* navbar */
#navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: transparent; /* Przeźroczysty kolor tła */
    padding: 15px 10%;
    width: 100%;
    position: fixed; /* Navbar będzie stały na górze */
    top: 0;
    z-index: 1000;
}

#navbar .nav-left {
    flex: 1;
}

#navbar .nav-right {
    flex: 3;
    display: flex;
    justify-content: flex-end;
}

#navbar a {
    color: white;
    text-decoration: none;
    padding: 0 30px;
    font-size: 25px;
    white-space: nowrap;
}

#navbar a:hover {
    text-decoration: underline;
    text-decoration-thickness: 5px; /* Dostosuj grubość podkreślenia */
    text-underline-offset: 10px; /* Dostosuj odstęp podkreślenia od tekstu */
    color: #dae6fd;
}

/* Navbar mobile */
#menu-toggle {
    display: none; /* Ukrycie checkboxa */
}

.nav-hamburger {
    display: none;
}

@media (max-width: 768px) {
    #navbar .nav-right,
    .nav-right a { /* Ukryj elementy a */
        display: none;
    }

    .nav-hamburger {
        display: flex; /* Pokaż przycisk hamburgera */
        flex: 3;
        justify-content: flex-end;
        font-size: 30px;
        cursor: pointer;
        color: white;
    }

    #menu-toggle:checked ~ #navbar .nav-right a {
        display: block; /* Pokaż menu i linki, gdy checkbox jest zaznaczony */
        width: 100%;
        text-align: center;
        padding-bottom: 15px;
    }

    #menu-toggle:checked ~ #navbar,
    #menu-toggle:checked ~ #navbar .nav-right {
        background-color: #010101;
    }

    #menu-toggle:checked ~ #navbar .nav-right {
        display: flex; /* Pokaż nav-right po zaznaczeniu checkboxa */
        flex-direction: column; /* Układa linki pionowo */
        width: 100%; /* Zapewnia, że nav-right zajmuje całą dostępną szerokość */
        align-items: center; /* Wyśrodkowuje linki w pionie */
        position: absolute; /* Pozycjonuje nav-right bezpośrednio pod nav-hamburger */
        top: 60px; /* Dostosuj wartość, aby pasowała do wysokości twojego navbara */
        left: 0;
    }
}

/* Common */
.full-screen-section, .content-section {
    width: 100%;
    min-height: 100vh;
    display: flex;

    align-items: center;
    justify-content: center;
}

.full-screen-section {
    background-size: cover;
    background-position: top;
    color: white;
}

.half-content-section {
    width: 100%;
    min-height: 50vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.content-section {
    padding: 20px;
    box-sizing: border-box;
}

.white-content-section{
    background-color: whitesmoke;
}

.blue-content-section{
    background-color: #042649;
}

.hero-image{
    display: block;
    margin: auto; 
    min-width: 50%;
}

.scroll-down-arrow {
    position: fixed; 
    left: 50%;
    bottom: 12px; 
    transform: translateX(-50%); 
    z-index: 1000; 
    display: flex; 
    justify-content: center;
    align-items: center; 
  }

  .scroll-down-arrow i{
    color: #075298;
    font-size: 32px;
  }

/* Main Hero */
.hero-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center; 
    margin: 0 10%;
}

.hero-tile {
    flex: 1 1 50%;
    text-align: center;
    vertical-align: middle;
}

.full-screen-section  h1{
    font-size: 68px;
    white-space: nowrap;
}

.full-screen-section  h2{
    font-size: 38px;
}

.hero-tile button {
    padding: 20px 40px;
    color: white; 
    border-radius: 20px; 
    margin: 30px 0px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-size: 36px;
    font-weight: bold;
    background-color: transparent;
    border-color: whitesmoke;
    border: solid 1px;
}

.hero-tile button:hover {
    background-color: rgba(255, 255, 255, 0.15); 
}



@media (max-width: 1360px) {
    .full-screen-section  h1{
        font-size: 58px;
    }

    .full-screen-section  h2{
        font-size: 28px;
    }

    .hero-tile button{
        font-size: 26px;
    }
}


@media (max-width: 1000px) {
    .full-screen-section h1 {
        margin-top: 80px; /* Dodaje margines na górze, aby oddzielić od paska nawigacyjnego */
        font-size: 48px;
    }

    .full-screen-section  h2{
        font-size: 21px;
    }

    .hero-tile button{
        font-size: 19px;
    }
}

/* Product */
.half-content-section  h3{
    font-size: 20px;
    line-height: 1.8;
}

.product-container{
    display: flex;
    flex-wrap: wrap;
    margin-left: 20%;
    margin-right: 30%;
    padding: 20px 0;
}

.product-tile{
    display: flex;
    flex: 1 1 50%;
    justify-content: center; 
    align-items: center; 
    text-align: center;
    vertical-align: middle;
}

@media (max-width: 1600px) {
    .product-container {
        margin-left: 10%;
        margin-right: 20%;
    }
}

@media (max-width: 914px) {
    .product-container {
        margin-right: 10%;
    }
    }

@media (max-width: 700px) {
    .product-container {
        margin-left: 0%;
        margin-right: 10%;
    }

    .product-tile h3{
        font-size: 16px;
    }
}

/* benefit */
.benefits-container {
    display: flex;
    flex-wrap: wrap;
    /* justify-content: space-around; */
    align-items: stretch; /* Dodane, aby upewnić się, że dzieci (kafelki) rozciągną się do maksymalnej wysokości */
    padding: 0 15%;
}

.benefit-tile {
    flex: 1 1 calc(33.33% - 30px);
    margin: 15px;
    background-color: whitesmoke;
    padding: 20px;
    border-radius: 10px;

    display: flex;
    flex-direction: column;
    text-align: center;
}

.benefit-tile .icon {
    position: relative; /* Ustawienie kontekstu pozycjonowania dla pseudoelementu */
    display: inline-block; /* Zapewnia, że można zastosować padding i inne właściwości */
    margin-bottom: 15px; /* Odstęp od ikony do linii */
    color: #042649; /* Dostosuj kolor ikon */
    font-size: 50px; /* Dostosuj rozmiar ikon */
}

.benefit-tile p {
    position: relative; /* Ustawienie kontekstu pozycjonowania dla pseudoelementu */
    padding-top: 20px; /* Odstęp na górze dla tekstu, aby zrobić miejsce na linię */
    width: 100%;
    height: 100%;
    font-size: 20px;

    display: grid;
}

.benefit-tile p::before {
    content: ""; /* Wymagane dla pseudoelementów */
    display: block; /* Linia będzie blokiem */
    width: 80%; /* Szerokość linii, 80% szerokości pojemnika benefit-tile */
    height: 2px; /* Grubość linii */
    background-color: #042649; /* Kolor linii, dostosuj według potrzeb */
    position: absolute; /* Absolutne pozycjonowanie względem rodzica (p) */
    top: 0; /* Umiejscowienie na górze pojemnika p */
    left: 10%;
}

@media (max-width: 800px) {
    .benefit-tile {
        flex: 1 1 100%; /* Na małych ekranach kafelki zajmą 100% szerokości */
    }
}

/* Kontakt */
.contact-section {
    display: flex;
    flex-direction: column;
    text-align: center;
    padding: 20px;
    width: 100%;
    height: 100%;
    justify-content: center; /* Wyśrodkowanie w poziomie */
    align-items: center;
}

.contact-section h1 {
    font-size: 68px;
    margin-top: 16px;
    margin-bottom: 32px;
}

.contact-section p {
    font-size: 22px;
}

.contact-section a {
    display: inline-block;
    margin-bottom: 20px;
    color: #007bff;
    text-decoration: none;
}

.contact-section p{
    line-height: 2;
}

.contact-section button {
    padding: 20px 40px;
    background-color: #007bff;
    color: white; 
    border: none;
    border-radius: 20px; 
    margin: 16px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-size: 36px;
    font-weight: bold;
}

.contact-section button i{
    padding-right: 15px;
}

.contact-section button:hover {
    background-color: #bfd7f1;
}

.main-contact {
    display: flex;
    justify-content: space-between; /* Dostosuj, jeśli chcesz zmienić sposób rozmieszczenia */
    margin-top: 20px;
}

.contact-button {
    display: flex;
    flex-direction: column;
}

.contact-button a{
    font-size: 20px;
}

@media (max-width: 900px) {
    .contact-section h1 {
        font-size: 36px;
        margin-bottom: 20px;
    }

    .contact-section button {
        font-size: 22px;
    }
}